> ## Documentation Index
> Fetch the complete documentation index at: https://docs.storeindexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /stores

> Query Store Indexer's database of stores across various companies.



## OpenAPI

````yaml https://api.storeindexer.com/openapi.json get /stores
openapi: 3.1.0
info:
  title: Store Indexer API
  description: Store Indexer API
  version: 0.1.0
servers:
  - url: https://api.storeindexer.com/
    description: Store Indexer API
security: []
paths:
  /stores:
    get:
      tags:
        - Stores
      summary: /stores
      description: Query Store Indexer's database of stores across various companies.
      operationId: query_stores_route_stores_get
      parameters:
        - name: company_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Company Id
        - name: parent_company_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Parent Company Id
        - name: city
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: City
        - name: province
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Province
        - name: country
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Country
        - name: postal_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Postal Code
        - name: is_open
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Open
        - name: latitude
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Latitude
        - name: longitude
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Longitude
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000
                minimum: 1
              - type: 'null'
            default: 1000
            title: Limit
        - name: page_num
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 1
            title: Page Num
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrderEnum'
              - type: 'null'
            default: asc
            title: Sort Order
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: created_at
            title: Sort By
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Store_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SortOrderEnum:
      type: string
      enum:
        - asc
        - desc
      title: SortOrderEnum
    PaginatedResponse_Store_:
      properties:
        limit:
          type: integer
          title: Limit
          default: 1000
        num_pages:
          type: integer
          title: Num Pages
        page_num:
          type: integer
          title: Page Num
          default: 1
        sort_order:
          $ref: '#/components/schemas/SortOrderEnum'
          default: asc
        sort_by:
          type: string
          title: Sort By
          default: created_at
        total_count:
          type: integer
          title: Total Count
        data:
          items:
            $ref: '#/components/schemas/Store'
          type: array
          title: Data
      type: object
      required:
        - num_pages
        - total_count
        - data
      title: PaginatedResponse[Store]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Store:
      properties:
        store_id:
          type: string
          title: Store Id
        company_id:
          type: string
          title: Company Id
        parent_company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Company Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address_1:
          type: string
          title: Address 1
        address_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address 2
        city:
          type: string
          title: City
        province:
          anyOf:
            - type: string
            - type: 'null'
          title: Province
        country:
          type: string
          title: Country
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        is_open:
          type: boolean
          title: Is Open
          default: true
        latitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Longitude
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - store_id
        - company_id
        - address_1
        - city
        - country
      title: Store
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````